Fix support for gold linker: inappropriate dep removal of plugins
[babeltrace.git] / converter / Makefile.am
1 AM_CFLAGS = $(PACKAGE_CFLAGS) -I$(top_srcdir)/include -lpopt
2
3 bin_PROGRAMS = babeltrace babeltrace-log
4
5 lib_LTLIBRARIES = libbabeltrace.la
6
7 libbabeltrace_la_SOURCES = \
8 babeltrace-lib.c
9
10 libbabeltrace_la_LIBADD = \
11 $(top_builddir)/types/libbabeltrace_types.la \
12 $(top_builddir)/lib/libprio_heap.la
13
14 babeltrace_SOURCES = \
15 babeltrace.c
16
17 # -Wl,--no-as-needed is needed for recent gold linker who seems to think
18 # it knows better and considers libraries with constructors having
19 # side-effects as dead code. Note: we put plugin dependencies on the
20 # executable rather than the library because libtool does not seem to
21 # issue the LDFLAGS before the rpaths, which makes it useless.
22 babeltrace_LDFLAGS = -Wl,--no-as-needed
23 babeltrace_LDADD = \
24 libbabeltrace.la \
25 $(top_builddir)/formats/libbabeltrace_registry.la \
26 $(top_builddir)/formats/ctf/libctf.la \
27 $(top_builddir)/formats/ctf-text/libctf-text.la \
28 $(top_builddir)/formats/bt-dummy/libbt-dummy.la
29
30 babeltrace_log_SOURCES = babeltrace-log.c
31
32 babeltrace_log_LDADD = \
33 $(top_builddir)/formats/libbabeltrace_registry.la \
34 $(top_builddir)/formats/ctf/libctf.la
This page took 0.04197 seconds and 4 git commands to generate.